Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359356 - [gtk3] Context menu label of VM thumbnail pointing upward under Wayland
Summary: [gtk3] Context menu label of VM thumbnail pointing upward under Wayland
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk3
Version: 23
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-23 04:55 UTC by Joachim Frieben
Modified: 2016-12-20 21:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 21:14:41 UTC


Attachments (Terms of Use)
Screenshot of the context menu label of a VM thumbnail in GNOME Boxes under Wayland (deleted)
2016-07-23 04:55 UTC, Joachim Frieben
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 758664 None None None 2016-07-23 04:56:01 UTC

Description Joachim Frieben 2016-07-23 04:55:18 UTC
Created attachment 1183035 [details]
Screenshot of the context menu label of a VM thumbnail in GNOME Boxes under Wayland

Description of problem:
When running GNOME Boxes under Wayland on a fully updated Fedora 23 system, the context menu label of a VM thumbnail is pointing -upward- extending beyond the limits of the application window. In maximized mode, this means that only the menu item "Properties" is visible and can be selected as shown in the attached screenshot. Under Xorg, the context menu label is pointing -downward- as expected and is fully confined inside the application window. Installed packages include:

- gnome-boxes-3.18.1-1.fc23
- gnome-shell-3.18.5-1.fc23
- gtk3-3.18.9-1.fc23
- mutter-3.18.4-1.fc23
- xorg-x11-server-Xwayland-1.18.3-2.fc23

Version-Release number of selected component (if applicable):
gtk3-3.18.9-1.fc23

How reproducible:
Always

Steps to Reproduce:
1. Start GNOME on Wayland session.
2. Launch gnome-boxes.
3. Open context menu of some existing virtual machine.

Actual results:
Context menu label points upward stretching beyond the (maximized) application window and even beyond the desktop thus being only partially visible.

Expected results:
Context menu label points downward and remains fully visible.

Additional info:
- Issue appears to be fixed in the gtk+ master branch, see https://git.gnome.org/browse/gtk%2B/commit/?id=e626038.
- Correct behaviour is observed for Fedora 24.

Comment 1 Fedora End Of Life 2016-11-25 09:27:45 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2016-12-20 21:14:41 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.